{{/*
SPDX-FileCopyrightText: 2023 Bundesministerium des Innern und für Heimat, PG ZenDiS "Projektgruppe für Aufbau ZenDiS"
SPDX-License-Identifier: Apache-2.0
*/}}
---
apiVersion: "networking.istio.io/v1beta1"
kind: "Gateway"
metadata:
  name: {{ include "common.names.fullname" . | quote }}
  labels:
    {{- include "common.labels.standard" . | nindent 4 }}
  {{- with .Values.annotations }}
  annotations:
    {{- toYaml . | nindent 4 }}
  {{- end }}
spec:
  servers:
    - hosts:
        {{- range .Values.global.hosts }}
        - {{ (printf "%s.%s" . $.Values.global.domain ) | quote }}
        {{- end }}
      port:
        name: "http"
        number: 80
        protocol: "HTTP"
    {{- if .Values.tls.enabled }}
      tls:
        httpsRedirect: {{ .Values.tls.httpsRedirect }}
    - hosts:
        {{- range .Values.global.hosts }}
        - {{ (printf "%s.%s" . $.Values.global.domain ) | quote }}
        {{- end }}
      port:
        name: "https"
        number: 443
        protocol: "HTTPS"
      tls:
        credentialName: {{ .Values.tls.secretName | quote }}
        minProtocolVersion: {{ .Values.tls.minProtocolVersion | quote }}
        mode: {{ .Values.tls.mode | quote  }}
    {{- end }}
...
